%global pypi_name jupyterlab-server
%global srcname jupyterlab_server

Name:           python-%{pypi_name}
Version:        2.25.2
Release:        %mkrel 1
Summary:        Server components for JupyterLab and JupyterLab-like applications
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyterlab/jupyterlab_server
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools

%description
This package is used to launch an application built using JupyterLab.

%package -n python3-%{pypi_name}
Summary:        Server components for JupyterLab and JupyterLab-like applications
Group:          Development/Python
%{?python_provide:%python_provide python3-jupyter_jupyterlab_server}
%{?python_provide:%python_provide python3-jupyter-jupyterlab-server}
%{?python_provide:%python_provide python3-jupyterlab-server}
%{?python_provide:%python_provide python3-jupyterlab_server}
%{?python_provide:%python_provide python3-jupyter_jupyterlab_launcher}
%{?python_provide:%python_provide python3-jupyter-jupyterlab-launcher}
Provides:       jupyter-jupyterlab-launcher = %{version}-%{release}
Provides:       jupyter-jupyterlab-server = %{version}-%{release}
Obsoletes:      jupyter-jupyterlab-server < 2.18.0

%description -n python3-%{pypi_name}
This package is used to launch an application built using JupyterLab.

%prep
%autosetup -p1 -n jupyterlab_server-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
#don't clean .orig files
export DONT_CLEANUP=1
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Dec 26 2023 wally <wally> 2.25.2-1.mga10
+ Revision: 2021918
- drop jupyter-notebook requires
- new version 2.25.2

* Mon Feb 06 2023 wally <wally> 2.19.0-1.mga9
+ Revision: 1938887
- new version 2.19.0

* Sun Jan 15 2023 wally <wally> 2.18.0-1.mga9
+ Revision: 1933425
- rename as python-jupyterlab-server
- new version 2.18.0

* Tue Mar 29 2022 umeabot <umeabot> 2.4.0-5.mga9
+ Revision: 1832196
- Mageia 9 Mass Rebuild

* Sun Mar 06 2022 mrambo3501 <mrambo3501> 2.4.0-4.mga9
+ Revision: 1789144
- rebuild for python-3.10

* Sat Apr 10 2021 joequant <joequant> 2.4.0-3.mga9
+ Revision: 1714457
- fix deps remove provides for jupyter-server

* Sun Apr 04 2021 joequant <joequant> 2.4.0-2.mga9
+ Revision: 1713335
- update
- fix deps

* Sun Apr 04 2021 joequant <joequant> 2.4.0-1.mga9
+ Revision: 1713321
- update to 2.4.0 / python 3.9
+ daviddavid <daviddavid>
- rebuild for python 3.9

* Wed Nov 11 2020 joequant <joequant> 1.1.4-2.mga8
+ Revision: 1644726
- disable tests for now

* Mon May 18 2020 joequant <joequant> 1.1.4-1.mga8
+ Revision: 1586029
- imported package jupyter-jupyterlab-server

